%define real_name Crypt-GOST

Summary:	Crypt-GOST module for perl 
Name:		perl-%{real_name}
Version:	1.00
Release:	%mkrel 9
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GOST 28147-89 is a 64-bit symmetric block cipher with a 256-bit key developed
in the former Soviet Union. Some information on it is available at
http://vipul.net/gost/.
This module implements GOST encryption. It supports the Crypt::CBC interface.

%prep
%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/*/Crypt/GOST.pm
%{perl_vendorlib}/*/auto/Crypt/GOST
%{_mandir}/*/*






%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.00-9.mga3
+ Revision: 364858
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.00-8.mga3
+ Revision: 250394
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.00-7.mga2
+ Revision: 103813
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 1.00-6.mga1
+ Revision: 10381
- imported package perl-Crypt-GOST

